libzypp 17.37.10

zypp::functor::Constant< TConst > Struct Template Reference

`#include <zypp/base/Functional.h>`

## Public Member Functions
| Constant (const TConst &value)
template<class Tp>
TConst | operator() (Tp) const
TConst | operator() () const

## Public Attributes
TConst | _value

## Detailed Description

template<class TConst>
struct zypp::functor::Constant< TConst >

Definition at line 58 of file Functional.h.

## Constructor & Destructor Documentation

## ◆ Constant()

template<class TConst>

zypp::functor::Constant< TConst >::Constant | ( | const TConst & | value | ) |
| inline

Definition at line 60 of file Functional.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<class TConst>
template<class Tp>

TConst zypp::functor::Constant< TConst >::operator() | ( | Tp |  | ) | const
| inline

Definition at line 65 of file Functional.h.

## ◆ operator()() [2/2]

template<class TConst>

TConst zypp::functor::Constant< TConst >::operator() | ( |  | ) | const
| inline

Definition at line 68 of file Functional.h.

## Member Data Documentation

## ◆ _value

template<class TConst>

TConst zypp::functor::Constant< TConst >::_value

Definition at line 71 of file Functional.h.

The documentation for this struct was generated from the following file:

- zypp/base/Functional.h